using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace fdprEntiPubblici
{
    public partial class frmGestioneEntePubblico : Form
    {
        public frmGestioneEntePubblico()
        {
            InitializeComponent();
        }

//************************ PROCEDURE LOCALI DI PROGETTO *******************************//

        private void frmGestioneEntePubblico_Esci()
        {
            Application.Exit();
        }

        //Esistono due modalità per aprire una form nei linguaggi di programmazione:
        //
        // 1° Modalità Modale = significa che non potete passare ad altre form del programma finché non chiudete
        //                      la form corrente in cui siete posizionati.
        //                      Sono utili nei programma dove si elaborano dei dati e si vuole avere la certezza
        //                      che una sola operazione di gestione possa essere fatta sui dati.
        //
        // 2° Modalità non Modale = posso passare da una form all'altra senza problemi.

        private void frmGestioneEntePubblico_InserimentoDatiAmbasciata()
        {
            new frmInserisciDatiAmbasciata().ShowDialog(); // apro in modalità modale
           // new frmInserisciDatiAmbasciata().Show(); // apro in modalità non modale
        }

        private void frmGestioneEntePubblico_VisualizzazioneDatiAmbasciata()
        {
            new frmVisualizzaDatiAmbasciata().ShowDialog();
        }

//************************ PROCEDURE DI RISPOSTA AGLI EVENTI **************************//

        private void mnuEsci_Click(object sender, EventArgs e)
        {
            frmGestioneEntePubblico_Esci();
        }

        private void mnuVisualizzazioneDati_Click(object sender, EventArgs e)
        {
            frmGestioneEntePubblico_VisualizzazioneDatiAmbasciata();
        }

        private void mnuInserimentoDati_Click(object sender, EventArgs e)
        {         
            frmGestioneEntePubblico_InserimentoDatiAmbasciata();
        }
    }
}
